io.vertx.ext.auth.jdbc

## Class JDBCAuthOptions

- java.lang.Object
- - io.vertx.ext.auth.jdbc.JDBCAuthOptions

- All Implemented Interfaces:
    AuthOptions

  Deprecated.
  This class has been replaced by the class `JDBCAuthenticationOptions` for authentication and `JDBCAuthorizationOptions` for authorization

      @Deprecated
      public class JDBCAuthOptions
      extends Object
      implements AuthOptions

  Options configuring JDBC authentication.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCAuthOptions()` Deprecated.
    `JDBCAuthOptions(JDBCAuthOptions that)` Deprecated.
    `JDBCAuthOptions(JsonObject json)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JDBCAuthOptions` | `clone()` Deprecated.
    `JDBCAuth` | `createProvider(Vertx vertx)` Deprecated. Create the suitable provider for this option.
    `String` | `getAuthenticationQuery()` Deprecated.
    `JsonObject` | `getConfig()` Deprecated.
    `String` | `getDatasourceName()` Deprecated.
    `String` | `getPermissionsQuery()` Deprecated.
    `String` | `getRolesPrefix()` Deprecated.
    `String` | `getRolesQuery()` Deprecated.
    `boolean` | `isShared()` Deprecated.
    `JDBCAuthOptions` | `setAuthenticationQuery(String authenticationQuery)` Deprecated. Set the authentication query to use.
    `JDBCAuthOptions` | `setConfig(JsonObject config)` Deprecated. The configuration of the JDBC client: refer to the Vert.x JDBC Client configuration.
    `JDBCAuthOptions` | `setDatasourceName(String datasourceName)` Deprecated. Set the data source name to use, only use in shared mode.
    `JDBCAuthOptions` | `setPermissionsQuery(String permissionsQuery)` Deprecated. Set the permissions query to use.
    `JDBCAuthOptions` | `setRolesPrefix(String rolesPrefix)` Deprecated. Set the role prefix to distinguish from permissions when checking for isPermitted requests.
    `JDBCAuthOptions` | `setRolesQuery(String rolesQuery)` Deprecated. Set the roles query to use.
    `JDBCAuthOptions` | `setShared(boolean shared)` Deprecated. Set whether the JDBC client is shared or non shared.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCAuthOptions

          public JDBCAuthOptions()

      Deprecated.

    - #### JDBCAuthOptions

          public JDBCAuthOptions(JDBCAuthOptions that)

      Deprecated.

    - #### JDBCAuthOptions

          public JDBCAuthOptions(JsonObject json)

      Deprecated.

  - ### Method Detail

    - #### clone

          public JDBCAuthOptions clone()

      Deprecated.
      Specified by:
        `clone` in interface `AuthOptions`
      Overrides:
        `clone` in class `Object`

    - #### createProvider

          public JDBCAuth createProvider(Vertx vertx)

      Deprecated.
      Description copied from interface: `AuthOptions`
      Create the suitable provider for this option.
      Specified by:
        `createProvider` in interface `AuthOptions`
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the auth provider

    - #### isShared

          public boolean isShared()

      Deprecated.

    - #### setShared

          public JDBCAuthOptions setShared(boolean shared)

      Deprecated.
      Set whether the JDBC client is shared or non shared.
      Parameters:
        `shared` - the sharing mode
      Returns:
        a reference to this, so the API can be used fluently

    - #### getDatasourceName

          public String getDatasourceName()

      Deprecated.

    - #### setDatasourceName

          public JDBCAuthOptions setDatasourceName(String datasourceName)

      Deprecated.
      Set the data source name to use, only use in shared mode.
      Parameters:
        `datasourceName` - the data source name
      Returns:
        a reference to this, so the API can be used fluently

    - #### getConfig

          public JsonObject getConfig()

      Deprecated.

    - #### setConfig

          public JDBCAuthOptions setConfig(JsonObject config)

      Deprecated.
      The configuration of the JDBC client: refer to the Vert.x JDBC Client configuration.
      Parameters:
        `config` -
      Returns:
        a reference to this, so the API can be used fluently

    - #### getAuthenticationQuery

          public String getAuthenticationQuery()

      Deprecated.

    - #### setAuthenticationQuery

          public JDBCAuthOptions setAuthenticationQuery(String authenticationQuery)

      Deprecated.
      Set the authentication query to use. Use this if you want to override the default authentication query.
      Parameters:
        `authenticationQuery` - the authentication query
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRolesQuery

          public String getRolesQuery()

      Deprecated.

    - #### setRolesQuery

          public JDBCAuthOptions setRolesQuery(String rolesQuery)

      Deprecated.
      Set the roles query to use. Use this if you want to override the default roles query.
      Parameters:
        `rolesQuery` - the roles query
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPermissionsQuery

          public String getPermissionsQuery()

      Deprecated.

    - #### setPermissionsQuery

          public JDBCAuthOptions setPermissionsQuery(String permissionsQuery)

      Deprecated.
      Set the permissions query to use. Use this if you want to override the default permissions query.
      Parameters:
        `permissionsQuery` - the permissions query
      Returns:
        a reference to this, so the API can be used fluently

    - #### getRolesPrefix

          public String getRolesPrefix()

      Deprecated.

    - #### setRolesPrefix

          public JDBCAuthOptions setRolesPrefix(String rolesPrefix)

      Deprecated.
      Set the role prefix to distinguish from permissions when checking for isPermitted requests.
      Parameters:
        `rolesPrefix` - roles prefix
      Returns:
        a reference to this, so the API can be used fluently

Copyright © 2021 Eclipse. All rights reserved.